Bug Hunting Session
Bug 114265 - Toolbar: Icon for Close Preview toolbar command
Summary: Toolbar: Icon for Close Preview toolbar command
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords:
Depends on:
Blocks: Toolbars Icon-Themes Print-Preview
  Show dependency treegraph
 
Reported: 2017-12-05 14:55 UTC by Thomas Lendo
Modified: 2017-12-13 23:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-12-05 14:55:58 UTC
The appearance of the icon for the Close Preview toolbar command is weird.

Default appearance LibO daily master 6.1:
- Writer print preview: text "Close Preview" is visible in the Print Preview toolbar.
- Calc print preview: text "Close Preview" is visible in the Print Preview toolbar.
- XML Form Document print preview: icon is visible in the Print Preview toolbar.
- Master document print preview: icon is visible in the Print Preview toolbar.

Weird behavior STR in Writer:
(In Calc there is no icon in the Customize dialog available.)
- Open File > Print Preview.
- See the close toolbar button: it's the text "Close Preview", no icon.
- Open Tools > Customize > Toolbars.
- Switch to "Print Preview" toolbar in the right area of the dialog.
- Scroll down to the last "Close Preview" entry of this toolbar.
- Deselect the "Close Preview" checkbox to hide the command.
- Select the checkbox again to show it in the toolbar.

Actual result:
The "Close Preview" command is no longer a text but has an icon in the toolbar.

Expected result:
The command always should be presented in the same way -- no matter what is done in the Customize dialog by the user and unless the user changes the icon of the command.


Regarding design/UX:
I don't like the designs of the icons in general. For Benjamin or my colleagues it's not obvious and clear that the X (in Tango) or the red icon (in Breeze) closes the Print Preview of the document. The Elementary icon is as much more problematic: It's the program quit icon.
For the sake of good usability, I suggest to use only the text for this command unless there is an icon available that is unique and obvious for the average user.
Comment 1 Yousuf Philips (jay) (retired) 2017-12-05 15:18:55 UTC
(In reply to Thomas Lendo from comment #0)
> Expected result:
> The command always should be presented in the same way -- no matter what is
> done in the Customize dialog by the user and unless the user changes the
> icon of the command.

That will be resolved in bug 114261.

> Regarding design/UX:
> I don't like the designs of the icons in general. For Benjamin or my
> colleagues it's not obvious and clear that the X (in Tango) or the red icon
> (in Breeze) closes the Print Preview of the document. The Elementary icon is
> as much more problematic: It's the program quit icon.
> For the sake of good usability, I suggest to use only the text for this
> command unless there is an icon available that is unique and obvious for the
> average user.

So the main issue is that the button is supposed to be displaying the icon and the text and it only displaying the text (bug 114262), so if we only want to show the text, that can be easily fixed, or we can wait for these two bugs to be fixed.
Comment 2 Thomas Lendo 2017-12-05 21:16:33 UTC
> So the main issue is that the button is supposed to be displaying the icon
> and the text and it only displaying the text (bug 114262), so if we only
> want to show the text, that can be easily fixed, or we can wait for these
> two bugs to be fixed.
If the other bug is fixed and both icon AND text are displayed, then this bug can be closed.

But maybe icon designers can think about better solutions for the closing preview icons in their themes.
Comment 3 Heiko Tietze 2017-12-06 14:26:29 UTC
Agree with no icons on confirmative buttons (Ok, Cancel, Close).
Comment 4 Yousuf Philips (jay) (retired) 2017-12-11 14:05:37 UTC
(In reply to Thomas Lendo from comment #0)
> I don't like the designs of the icons in general. For Benjamin or my
> colleagues it's not obvious and clear that the X (in Tango) or the red icon
> (in Breeze) closes the Print Preview of the document. The Elementary icon is
> as much more problematic: It's the program quit icon.
> For the sake of good usability, I suggest to use only the text for this
> command unless there is an icon available that is unique and obvious for the
> average user.

Using the same close icon found in the find toolbar is fine.
Patch - https://gerrit.libreoffice.org/46232

(In reply to Thomas Lendo from comment #2)
> If the other bug is fixed and both icon AND text are displayed, then this
> bug can be closed.

Both the bugs are now fixed.
Comment 5 Commit Notification 2017-12-12 11:48:04 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=452f35e7337c70feb39aed0cb2eaaa7c662ec79f

tdf#114265 Use close icon in find in print preview elementary

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-12-12 12:58:28 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=550a9261e060b6fd24ca6873f8f988bb7c46ab95&h=libreoffice-6-0

tdf#114265 Use close icon in find in print preview elementary

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-12-12 20:01:50 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62b08a7c7d1cb77906c8eab2218cba257e5be385

tdf#114265 Use close icon in find in print preview

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-13 23:23:26 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=270b32755d5f524d9a7b5625ab4bf09bb0f835e8&h=libreoffice-6-0

tdf#114265 Use close icon in find in print preview

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.